notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
This referral link gives you 10% off a Fastmail.com account and gives me a discount on my Fastmail account.
New feature planned: get notified when the package is available. Now is the time to contribute ideas/suggestions.
non port: emulators/Makefile

Number of commits found: 488 (showing only 100 on this page)

«  1 | 2 | 3 | 4 | 5  »  

Friday, 27 Sep 2019
17:55 bofh search for other commits by this committer
emulators/qemu-devel: Update version 4.0.0=>4.1.0

- Merge 4.0.X branch into emulators/qemu40
- See UPDATING for more info
Original commitRevision:513050 
Thursday, 5 Sep 2019
11:40 rene search for other commits by this committer
Remove expired ports:
2019-09-04 devel/ace+tao-doc: Broken for more than 6 months
2019-09-04 devel/dfmt: Broken for more than 6 months
2019-09-04 devel/ignition-transport: Broken for more than 6 months
2019-09-04 devel/spin: Broken for more than 6 months
2019-09-04 editors/dexed: Depends on expiring devel/dfmt
2019-09-04 editors/p5-Padre: Depends on expiring x11-toolkits/p5-Wx
2019-09-04 emulators/qemu2: Latest 3.X branch is in ports tree
2019-09-04 games/asc: Broken for more than 6 months
2019-09-04 games/slade: Broken for more than 6 months
2019-09-04 graphics/gimp-wavelet-decompose-plugin: Broken for more than 6 months
2019-09-04 graphics/py-pyembree: Depends on expiring graphics/embree
2019-09-04 irc/irssi-otr: Broken for more than 6 months
2019-09-04 mail/p5-Mail-ClamAV: Broken for more than 6 months
2019-09-04 mail/qmail-ldap: Broken for more than 6 months
2019-09-04 math/fityk: Broken for more than 6 months
2019-09-04 math/octave-forge-econometrics: Broken for more than 6 months
2019-09-04 math/octave-forge-fits: Broken for more than 6 months
2019-09-04 math/octave-forge-linear-algebra: Broken for more than 6 months
2019-09-04 math/octave-forge-mechanics: Broken for more than 6 months
2019-09-04 math/octave-forge-parallel: Broken for more than 6 months
2019-09-04 math/octave-forge-strings: Broken for more than 6 months
2019-09-04 math/octave-forge-tisean: Broken for more than 6 months
2019-09-04 math/octave-forge-video: Broken for more than 6 months
2019-09-04 math/py-yt: Depends on expiring graphics/embree
2019-09-04 misc/gnustep-examples: Broken for more than 6 months
2019-09-04 net/turses: Depends on expiring net/py-tweepy
2019-09-04 security/clamcour: Broken for more than 6 months
2019-09-04 security/honeybadger: Broken for more than 6 months
2019-09-04 sysutils/freefilesync: Broken for more than 6 months
2019-09-04 sysutils/log-courier: Broken for more than 6 months
2019-09-04 textproc/py-orange3-text: Broken for more than 6 months
2019-09-05 www/feedjack: Upstream gone
2019-09-04 www/havp: Broken for more than 6 months
2019-07-31 www/rubygem-webpack-rails-rails5: Upstream no longer maintained, use
devel/rubygem-webpacker-rails* instead
2019-09-04 x11-toolkits/p5-Wx-GLCanvas: Depends on expiring x11-toolkits/p5-Wx
2019-09-04 x11-toolkits/p5-Wx-Perl-ProcessStream: Depends on expiring
x11-toolkits/p5-Wx
2019-09-04 x11-wm/golem: Broken for more than 6 months
2019-09-04 x11-wm/pawm: Broken for more than 6 months
Original commitRevision:511180 
Sunday, 1 Sep 2019
19:25 dbaio search for other commits by this committer
Add emulators/anese: NES Emulator written for fun and learning

ANESE (Another NES Emulator) is a Nintendo Entertainment System Emulator written
for fun and learning.

Accuracy and performance are long-term goals, but the primary focus is getting
popular titles up and running. There are still a lot of bugs, but many games are
working quite well already.

WWW: https://prilik.com/ANESE/

PR:		239940
Submitted by:	Martin Filla <freebsd@sysctl.cz>
Original commitRevision:510735 
Saturday, 31 Aug 2019
08:30 sunpoet search for other commits by this committer
Sort SUBDIRs
Original commitRevision:510359 
Tuesday, 6 Aug 2019
09:31 bofh search for other commits by this committer
emulators/qemu30: QEMU CPU Emulator

- Specific to version 3.0 in preperation for upgrading qemu to 3.1.X
- USES=gl is not always needed [1]

PR:             238364 [1]
Submitted by:   pizzamig [1]
Original commitRevision:508241 
Thursday, 1 Aug 2019
21:05 rene search for other commits by this committer
Remove expired port:
2019-08-01 emulators/pearpc: Abandonware
Original commitRevision:507831 
Saturday, 6 Jul 2019
18:55 swills search for other commits by this committer
emulators/cannonball: create port

Cannonball is a program which allows you to play an enhanced version
of Yu Suzuki's seminal arcade racer, OutRun, on a variety of systems.

WWW: https://github.com/djyt/cannonball/wiki

PR:		238495
Submitted by:	Santhosh Raju <santhosh.raju@gmail.com>
Original commitRevision:506026 
Wednesday, 3 Jul 2019
02:06 jbeich search for other commits by this committer
emulators/mesen: connect to bulk/index build
Original commitRevision:505722 
Monday, 1 Jul 2019
08:45 rene search for other commits by this committer
Remove expired ports:
2019-07-01 emulators/xen-kernel47: This port is about to be removed, please
update to a newer Xen version
2019-07-01 sysutils/xen-tools47: This port is about to be removed, please update
to a newer Xen version
Original commitRevision:505557 
Sunday, 30 Jun 2019
11:01 rene search for other commits by this committer
Remove expired ports:
2019-06-30 sysutils/cfengine33: No longer supported upstream
2019-06-30 sysutils/cfengine-masterfiles38: No longer supported upstream
2019-06-30 sysutils/cfengine39: No longer supported upstream
2019-06-30 sysutils/cfengine-masterfiles37: NO longer supported upstream
2019-06-30 sysutils/cfengine37: No longer supported upstream
2019-06-30 net/morebalance: Abandonware and depends on expiring games/libggz
2019-06-30 sysutils/cfengine36: No longer supported upstream
2019-06-30 sysutils/cfengine-masterfiles36: No longer supported upstream
2019-06-30 sysutils/cfengine34: No longer supported upstream
2019-06-30 sysutils/cfengine35: No longer supported upstream
2019-06-30 sysutils/cfengine-masterfiles39: No longer supported upstream
2019-06-30 devel/py-typed-ast12: Use devel/py-typed-ast instead
2019-06-30 devel/rubygem-devise-rails50: Use devel/rubygem-devise (depends on
Rails 5.0) instead
2019-06-30 security/rubygem-devise-two-factor-rails50: Use
security/rubygem-devise-two-factor (depends on Rails 5.0) instead
2019-06-30 emulators/qemu-riscv: The development has been moved to the upstream
2019-06-30 games/libggz: Abandonware
2019-06-30 games/ggz-txt-client: Abandonware
2019-06-30 games/ggz-sdl-games: Abandonware
2019-06-30 games/ggz-client-libs: Abandonware
2019-06-30 games/ggz-gtk-client: Abandonware
2019-06-30 games/ggz-gtk-games: Abandonware
2019-06-30 sysutils/cfengine38: No longer supported upstream
2019-06-30 devel/llvm40: Obsolete and unmaintained
2019-06-30 www/axis: Abandonware; use www/axis2 instead
2019-06-30 sysutils/cfengine32: No longer supported upstream
2019-06-30 devel/py-msgpack05: Use devel/py-msgpack instead
2019-06-30 devel/rubygem-fastthread: Does not build for all supported Ruby
version
2019-06-30 www/rubygem-responders-rails50: Use www/rubygem-responders (depends
on Rails 5.0) instead
Original commitRevision:505416 
00:26 jbeich search for other commits by this committer
emulators/yuzu: add new port

PR:		228487
Submitted by:	Greg V <greg@unrelenting.technology> (based on)
Original commitRevision:505393 
Tuesday, 14 May 2019
10:32 mat search for other commits by this committer
Sort categories Makefile and hook forgotten ports to the build.

Pointy hat:	bofh, glewis, gerald, swills, manu, ijiao, sunpoet, egypcio
Original commitRevision:501642 
Thursday, 9 May 2019
15:03 rene search for other commits by this committer
Remove expired ports:
2019-05-08 databases/ruby-odbc: Broken for more than 6 months
2019-05-08 databases/rubygem-dbd-odbc: Broken for more than 6 months
2019-05-08 devel/dlangui: Broken for more than 6 months
2019-05-08 editors/dlangide: Broken for more than 6 months
2019-05-08 emulators/desmume: Broken for more than 6 months
2019-05-08 emulators/yabause: Broken for more than 6 months
2019-05-08 emulators/yape: Broken for more than 6 months
2019-05-08 games/armagetron: Broken for more than 6 months
2019-05-08 games/boswars: Broken for more than 6 months
2019-05-08 games/ceferino: Broken for more than 6 months
2019-05-08 games/chanta: Broken for more than 6 months
2019-05-08 games/d2x-xl: Broken for more than 6 months
2019-05-08 games/drcreep: Broken for more than 6 months
2019-05-08 games/frobtads: Broken for more than 6 months
2019-05-08 games/paintown: Broken for more than 6 months
2019-05-08 games/pykawari: Broken for more than 6 months
2019-05-08 games/stepmania-devel: Broken for more than 6 months
2019-05-08 games/tinymux: Broken for more than 6 months
2019-05-08 games/voxelands: Broken for more than 6 months
2019-05-08 games/voxelands-server: Broken for more than 6 months
2019-05-08 games/warsow: Broken for more than 6 months
2019-05-08 graphics/appleseed: Broken for more than 6 months
2019-05-08 graphics/apvlv: Broken for more than 6 months
2019-05-08 graphics/qslim: Broken for more than 6 months
2019-05-08 graphics/rawstudio: Broken for more than 6 months
2019-05-08 graphics/tulip: Broken for more than 6 months
2019-05-08 lang/qore: Broken for more than 6 months
2019-05-08 mail/milter-manager: Broken for more than 6 months
2019-05-08 math/goblin: Broken for more than 6 months
2019-05-08 math/mosesdecoder: Broken for more than 6 months
2019-05-08 multimedia/asdcplib: Broken for more than 6 months
2019-05-08 net/crtmpserver: Broken for more than 6 months
2019-05-08 net/linuxigd: Abandonware; use net/miniupnpd instead
2019-05-08 net/openafs: Broken for more than 6 months
2019-05-08 security/quantis: Broken for more than 6 months
2019-05-08 sysutils/boxbackup: Broken for more than 6 months
2019-05-08 sysutils/grub2-efi: Broken for more than 6 months
2019-05-08 sysutils/grub2-pcbsd: Broken for more than 6 months
2019-05-08 sysutils/mdcp: Broken for more than 6 months
2019-05-08 sysutils/sbsigntool: Broken for more than 6 months
2019-05-08 www/py-cherrypy-old: Lates version is in tree and no dependent ports
Original commitRevision:501106 
Monday, 6 May 2019
03:13 pi search for other commits by this committer
New port: emulators/pcem: PC-Compatible low-level emulator striving for accuracy

A very accurate (and not very fast) PC and PC-compatible emulator.
Support currently ranges from the original IBM PC to Socket 7 motherboards.
It also supports a wide range of peripherals, including Voodoo Graphics!

WWW: https://www.pcem-emulator.co.uk

PR:		237376
Submitted by:	Salvador Pardinas <darkfm@vera.com.uy>
Reviewed by:	tobik
Original commitRevision:500881 
Sunday, 5 May 2019
11:25 0mp search for other commits by this committer
New port: emulators/edumips64: Free, cross-platform, educational, visual MIPS64
CPU simulator

EduMIPS64 is a free (as in free speech) visual and cross-platform MIPS64
CPU Simulator.

The simulator was written in order to support Computer Architecture
students with a free and cross-platform tool that allows them to run
programs written in the MIPS64 assembly dialect and see how the CPU behaves
during the execution, experimenting with various aspects of low-level
programming that they learn throughout the course.

EduMIPS64 started as a GPL Java port of WinMIPS64, a Windows-only MIPS64
simulator, but independently evolved soon after into a stand-alone open
source application.

WWW: https://www.edumips.org/

Reviewed by:	mat (previous version), tobik
Differential Revision:	https://reviews.freebsd.org/D20143
Original commitRevision:500854 
Thursday, 18 Apr 2019
23:06 bofh search for other commits by this committer
[NEW] emulators/qemu2: 2.X version of emulators/qemu

- Remove GNS3 OPTION
- Update dependency to gtk30 and sdl20
- Limit PORTSCOUT to 2.X verrsion only
Original commitRevision:499317 
Saturday, 16 Mar 2019
21:55 tcberner search for other commits by this committer
Qt4 deprecation: Remove Qt4 and its consumes.

2019-03-15 accessibility/qt4-accessible: Qt4 has been EOL since december 2015
2019-03-15 astro/qlandkartegt: Qt4 has been EOL since december 2015
2019-03-15 astro/stellarium-qt4: Qt4 has been EOL since december 2015
2019-03-15 astro/xglobe: Qt4 has been EOL since december 2015
2019-03-15 audio/acoustid-fingerprinter: Qt4 has been EOL since december 2015
2019-03-15 audio/cueplayer: Qt4 has been EOL since december 2015
2019-03-15 audio/esperanza: Qt4 has been EOL since december 2015
2019-03-15 audio/lastfm-desktop: Qt4 has been EOL since december 2015
2019-03-15 audio/minitunes: Qt4 has been EOL since december 2015
2019-03-15 audio/mixxx20: Qt4 has been EOL since december 2015
2019-03-15 audio/mumble: Qt4 has been EOL since december 2015
2019-03-15 audio/murmur: Qt4 has been EOL since december 2015
2019-03-15 audio/puddletag: Qt4 has been EOL since december 2015
2019-03-15 audio/qmpdclient: Qt4 has been EOL since december 2015
2019-03-15 audio/skype-call-recorder: Qt4 has been EOL since december 2015
2019-03-15 audio/virtual_oss_ctl: Qt4 has been EOL since december 2015
2019-03-15 biology/clustalx: Qt4 has been EOL since december 2015
2019-03-15 cad/klayout: Qt4 has been EOL since december 2015
2019-03-15 cad/layouteditor: Qt4 has been EOL since december 2015
2019-03-15 cad/leocad: Qt4 has been EOL since december 2015
2019-03-15 cad/meshlab: Qt4 has been EOL since december 2015
2019-03-15 cad/qfsm: Qt4 has been EOL since december 2015
2019-03-15 cad/qucs: Qt4 has been EOL since december 2015
2019-03-15 chinese/gcin-qt4: Qt4 has been EOL since december 2015
2019-03-15 chinese/qt4-codecs-cn: Qt4 has been EOL since december 2015
2019-03-15 chinese/qt4-codecs-tw: Qt4 has been EOL since december 2015
2019-03-15 chinese/qterm: Qt4 has been EOL since december 2015
2019-03-15 comms/dabstick-radio: Qt4 has been EOL since december 2015
2019-03-15 comms/hamfax: Qt4 has been EOL since december 2015
2019-03-15 comms/linpsk: Qt4 has been EOL since december 2015
2019-03-15 databases/py-qt4-sql: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-ibase-plugin: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-mysql-plugin: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-odbc-plugin: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-pgsql-plugin: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-sql: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-sqlite-plugin: Qt4 has been EOL since december 2015
2019-03-15 databases/qt4-sqlite3-plugin: Qt4 has been EOL since december 2015
2019-03-15 databases/sqliteman: Qt4 has been EOL since december 2015
2019-03-15 databases/tora: Qt4 has been EOL since december 2015
2019-03-15 deskutils/cdcat: Qt4 has been EOL since december 2015
2019-03-15 deskutils/fbreader: Qt4 has been EOL since december 2015
2019-03-15 deskutils/launchy: Qt4 has been EOL since december 2015
2019-03-15 deskutils/qorganizer: Qt4 has been EOL since december 2015
2019-03-15 deskutils/qrfcview: Qt4 has been EOL since december 2015
2019-03-15 deskutils/qtm: Qt4 has been EOL since december 2015
2019-03-15 deskutils/tuxcards: Qt4 has been EOL since december 2015
2019-03-15 deskutils/vym: Qt4 has been EOL since december 2015
2019-03-15 devel/apiextractor: Qt4 has been EOL since december 2015
2019-03-15 devel/automoc4: Qt4 has been EOL since december 2015
2019-03-15 devel/edb: Qt4 has been EOL since december 2015
2019-03-15 devel/generatorrunner: Qt4 has been EOL since december 2015
2019-03-15 devel/grantlee: Qt4 has been EOL since december 2015
2019-03-15 devel/gwenhywfar-qt4: Qt4 has been EOL since december 2015
2019-03-15 devel/kaptain: Qt4 has been EOL since december 2015
2019-03-15 devel/ninja-ide: Qt4 has been EOL since december 2015
2019-03-12 devel/physfs-devel: is the same as devel/physfs, serving no purpose
2019-03-15 devel/piklab: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-assistant: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-core: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-dbus: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-dbussupport: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-declarative: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-designer: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-designerplugin: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-help: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-qscintilla2: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-script: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-scripttools: Qt4 has been EOL since december 2015
2019-03-15 devel/py-qt4-test: Qt4 has been EOL since december 2015
2019-03-15 devel/pyside: Qt4 has been EOL since december 2015
2019-03-15 devel/pyside-tools: Qt4 has been EOL since december 2015
2019-03-15 devel/qbzr: Qt4 has been EOL since december 2015
2019-03-15 devel/qct: Qt4 has been EOL since december 2015
2019-03-15 devel/qdevelop: Qt4 has been EOL since december 2015
2019-03-15 devel/qprog: Qt4 has been EOL since december 2015
2019-03-15 devel/qross: Qt4 has been EOL since december 2015
2019-03-15 devel/qscintilla2: Qt4 has been EOL since december 2015
2019-03-15 devel/qscintilla2-designerplugin: Qt4 has been EOL since december
2015
2019-03-15 devel/qt4: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-assistant: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-assistant-adp: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-corelib: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-dbus: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-designer: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-help-tools: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-libqtassistantclient: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-linguist: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-linguisttools: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-makeqpf: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-moc: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-porting: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qdbusviewer: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qdoc3: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qmake: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qmlviewer: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qt3support: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qtsolutions-singleapplication: Qt4 has been EOL since
december 2015
2019-03-15 devel/qt4-qtsolutions-soap: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-qvfb: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-rcc: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-script: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-scripttools: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-testlib: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-uic: Qt4 has been EOL since december 2015
2019-03-15 devel/qt4-uic3: Qt4 has been EOL since december 2015
2019-03-15 devel/qtscriptgenerator: Qt4 has been EOL since december 2015
2019-03-15 devel/shiboken: Qt4 has been EOL since december 2015
2019-03-15 devel/subcommander2: Qt4 has been EOL since december 2015
2019-03-15 devel/universalindentgui: Qt4 has been EOL since december 2015
2019-03-15 editors/leo: Qt4 has been EOL since december 2015
2019-03-15 editors/lfhex: Qt4 has been EOL since december 2015
2019-03-15 editors/plume-creator-devel: Qt4 has been EOL since december 2015
2019-03-15 editors/textroom: Qt4 has been EOL since december 2015
2019-03-15 editors/yzis: Qt4 has been EOL since december 2015
2019-03-15 emulators/dboxfe: Qt4 has been EOL since december 2015
2019-03-15 emulators/q4wine: Qt4 has been EOL since december 2015
2019-03-15 emulators/qtemu: Qt4 has been EOL since december 2015
2019-03-15 emulators/swine: Qt4 has been EOL since december 2015
2019-03-15 finance/alkimia-qt4: Qt4 has been EOL since december 2015
2019-03-15 finance/bitcoin-armory: Qt4 has been EOL since december 2015
2019-03-15 finance/qhacc: Qt4 has been EOL since december 2015
2019-03-15 ftp/scythia: Qt4 has been EOL since december 2015
2019-03-15 games/bubble-chains: Qt4 has been EOL since december 2015
2019-03-15 games/capicity: Qt4 has been EOL since december 2015
2019-03-15 games/capitalism: Qt4 has been EOL since december 2015
2019-03-15 games/flukz: Qt4 has been EOL since december 2015
2019-03-15 games/goldencheetah: Qt4 has been EOL since december 2015
2019-03-15 games/jag: Qt4 has been EOL since december 2015
2019-03-15 games/kardsgt: Qt4 has been EOL since december 2015
2019-03-15 games/kcheckers: Qt4 has been EOL since december 2015
2019-03-15 games/openpref: Qt4 has been EOL since december 2015
2019-03-15 games/pokerth: Qt4 has been EOL since december 2015
2019-03-15 games/qgo: Qt4 has been EOL since december 2015
2019-03-15 games/qtads: Qt4 has been EOL since december 2015
2019-03-15 games/quackle: Qt4 has been EOL since december 2015
2019-03-15 games/spellathon: Qt4 has been EOL since december 2015
2019-03-15 games/sudoku-sensei: Qt4 has been EOL since december 2015
2019-03-15 games/tbe: Qt4 has been EOL since december 2015
2019-03-15 games/xptools: Qt4 has been EOL since december 2015
2019-03-15 german/tipp10: Qt4 has been EOL since december 2015
2019-03-15 graphics/appleseed: Qt4 has been EOL since december 2015
2019-03-15 graphics/aqsis: Qt4 has been EOL since december 2015
2019-03-15 graphics/autoq3d: Qt4 has been EOL since december 2015
2019-03-15 graphics/burplex: Qt4 has been EOL since december 2015
2019-03-15 graphics/darknock: Qt4 has been EOL since december 2015
2019-03-15 graphics/djview4-qt4: Qt4 has been EOL since december 2015
2019-03-15 graphics/easypaint: Qt4 has been EOL since december 2015
2019-03-15 graphics/eos-movrec: Qt4 has been EOL since december 2015
2019-03-15 graphics/gle-graphics: Qt4 has been EOL since december 2015
2019-03-15 graphics/lprof-devel: Qt4 has been EOL since december 2015
2019-03-15 graphics/luminance: Qt4 has been EOL since december 2015
2019-03-15 graphics/luxrender: Qt4 has been EOL since december 2015
2019-03-15 graphics/luxrender14: Qt4 has been EOL since december 2015
2019-03-15 graphics/meshviewer: Qt4 has been EOL since december 2015
2019-03-15 graphics/natron: Qt4 has been EOL since december 2015
2019-03-15 graphics/oyranos: Qt4 has been EOL since december 2015
2019-03-15 graphics/pencil: Qt4 has been EOL since december 2015
2019-03-15 graphics/prison: Qt4 has been EOL since december 2015
2019-03-15 graphics/py-qt4-svg: Qt4 has been EOL since december 2015
2019-03-15 graphics/qt4-iconengines: Qt4 has been EOL since december 2015
2019-03-15 graphics/qt4-imageformats: Qt4 has been EOL since december 2015
2019-03-15 graphics/qt4-opengl: Qt4 has been EOL since december 2015
2019-03-15 graphics/qt4-pixeltool: Qt4 has been EOL since december 2015
2019-03-15 graphics/qt4-svg: Qt4 has been EOL since december 2015
2019-03-15 graphics/qxv: Qt4 has been EOL since december 2015, qxv is
unmaintained
2019-03-15 graphics/scantailor: Qt4 has been EOL since december 2015
2019-03-15 graphics/seexpr: Qt4 has been EOL since december 2015
2019-03-15 graphics/smillaenlarger: Qt4 has been EOL since december 2015
2019-03-15 graphics/structuresynth: Qt4 has been EOL since december 2015
2019-03-15 graphics/yagf: Qt4 has been EOL since december 2015
2019-03-15 japanese/qt4-codecs-jp: Qt4 has been EOL since december 2015
2019-03-15 korean/qt4-codecs-kr: Qt4 has been EOL since december 2015
2019-03-15 mail/qgmailnotifier: Qt4 has been EOL since december 2015
2019-03-15 math/qtiplot: Qt4 has been EOL since december 2015
2019-03-15 math/qtoctave: Qt4 has been EOL since december 2015
2019-03-15 math/qwtplot3d-qt4: Qt4 has been EOL since december 2015
2019-03-15 misc/py-qt4-demo: Qt4 has been EOL since december 2015
2019-03-15 misc/py-qt4-doc: Qt4 has been EOL since december 2015
2019-03-15 misc/qmetro: Qt4 has been EOL since december 2015
2019-03-15 misc/qt4-doc: Qt4 has been EOL since december 2015
2019-03-15 misc/qt4-l10n: Qt4 has been EOL since december 2015
2019-03-15 misc/qt4-qtconfig: Qt4 has been EOL since december 2015
2019-03-15 misc/qt4-qtdemo: Qt4 has been EOL since december 2015
2019-03-15 misc/saaghar: Qt4 has been EOL since december 2015
2019-03-15 multimedia/2mandvd: Qt4 has been EOL since december 2015
2019-03-15 multimedia/abby: Qt4 has been EOL since december 2015
2019-03-15 multimedia/avidemux-qt4: Qt4 has been EOL since december 2015
2019-03-15 multimedia/gstreamer-qt4: Qt4 has been EOL since december 2015
2019-03-15 multimedia/mediadownloader: Qt4 has been EOL since december 2015
2019-03-15 multimedia/mlt-qt4: Qt4 has been EOL since december 2015
2019-03-15 multimedia/phonon-xine: Qt4 has been EOL since december 2015
2019-03-15 multimedia/py-qt4-multimedia: Qt4 has been EOL since december 2015
2019-03-15 multimedia/py-qt4-phonon: Qt4 has been EOL since december 2015
2019-03-15 multimedia/qmmp: Qt4 has been EOL since december 2015
2019-03-15 multimedia/qmmp-plugin-pack: Qt4 has been EOL since december 2015
2019-03-15 multimedia/qt4-mobility: Qt4 has been EOL since december 2015
2019-03-15 multimedia/qt4-multimedia: Qt4 has been EOL since december 2015
2019-03-15 multimedia/umplayer: Qt4 has been EOL since december 2015
2019-03-15 net/avahi-qt4: Qt4 has been EOL since december 2015
2019-03-15 net/cagibi: Qt4 has been EOL since december 2015
2019-03-15 net/hupnp: Qt4 has been EOL since december 2015
2019-03-15 net/ostinato: Qt4 has been EOL since december 2015
2019-03-15 net/py-qt4-network: Qt4 has been EOL since december 2015
2019-03-15 net/qjsonrpc: Qt4 has been EOL since december 2015
2019-03-15 net/qoauth: Qt4 has been EOL since december 2015
2019-03-15 net/qt4-network: Qt4 has been EOL since december 2015
2019-03-15 net/qtweetlib: Qt4 has been EOL since december 2015
2019-03-15 net-im/libjreen: Qt4 has been EOL since december 2015
2019-03-15 net-im/psimedia: Qt4 has been EOL since december 2015
2019-03-15 net-im/ramblercontacts: Qt4 has been EOL since december 2015
2019-03-15 net-im/telepathy-logger-qt4: Qt4 has been EOL since december 2015
2019-03-15 net-im/turpial: Qt4 has been EOL since december 2015
2019-03-15 net-im/vacuum-im: Qt4 has been EOL since december 2015
2019-03-15 net-mgmt/nagiosagent: Qt4 has been EOL since december 2015
2019-03-15 net-mgmt/qkismet: Qt4 has been EOL since december 2015
2019-03-15 net-p2p/bitmessage: Qt4 has been EOL since december 2015
2019-03-15 net-p2p/eiskaltdcpp-qt: Qt4 has been EOL since december 2015
2019-03-15 net-p2p/valknut: Qt4 has been EOL since december 2015
2019-03-15 polish/qfaktury: Qt4 has been EOL since december 2015
2019-03-15 print/kpdftool: Qt4 has been EOL since december 2015
2019-03-15 print/scribus: Qt4 has been EOL since december 2015
2019-03-15 science/MOOSE-neural-simulator: Qt4 has been EOL since december 2015
2019-03-15 science/avogadro: Qt4 has been EOL since december 2015
2019-03-15 science/openstructure: Qt4 has been EOL since december 2015
2019-03-15 science/py-veusz: Qt4 has been EOL since december 2015
2019-03-15 science/qtresistors: Qt4 has been EOL since december 2015
2019-03-15 security/keepassx2: Qt4 has been EOL since december 2015
2019-03-15 security/kqoauth: Qt4 has been EOL since december 2015
2019-03-15 security/tpmmanager: Qt4 has been EOL since december 2015
2019-03-15 sysutils/android-file-transfer-qt4: Qt4 has been EOL since december
2015
2019-03-15 sysutils/bacula9-bat: Qt4 has been EOL since december 2015
2019-03-15 sysutils/bareos-traymonitor: Qt4 has been EOL since december 2015
2019-03-15 sysutils/bareos16-bat: Qt4 has been EOL since december 2015
2019-03-15 sysutils/bareos16-traymonitor: Qt4 has been EOL since december 2015
2019-03-15 sysutils/policykit-qt: Qt4 has been EOL since december 2015
2019-03-15 sysutils/qpxtool: Qt4 has been EOL since december 2015
2019-03-15 sysutils/qsynergy: Qt4 has been EOL since december 2015
2019-03-15 sysutils/qzeitgeist: Qt4 has been EOL since december 2015
2019-03-15 sysutils/searchmonkey: Qt4 has been EOL since december 2015
2019-03-15 sysutils/unetbootin: Qt4 has been EOL since december 2015
2019-03-15 textproc/beediff: Qt4 has been EOL since december 2015
2019-03-15 textproc/dixit: Qt4 has been EOL since december 2015
2019-03-15 textproc/goldendict: Qt4 has been EOL since december 2015
2019-03-15 textproc/ibus-qt: Qt4 has been EOL since december 2015
2019-03-15 textproc/py-qt4-xml: Qt4 has been EOL since december 2015
2019-03-15 textproc/py-qt4-xmlpatterns: Qt4 has been EOL since december 2015
2019-03-15 textproc/qt4-clucene: Qt4 has been EOL since december 2015
2019-03-15 textproc/qt4-xml: Qt4 has been EOL since december 2015
2019-03-15 textproc/qt4-xmlpatterns: Qt4 has been EOL since december 2015
2019-03-15 textproc/qt4-xmlpatterns-tool: Qt4 has been EOL since december 2015
2019-03-15 textproc/scim-bridge-qt4: Qt4 has been EOL since december 2015
2019-03-15 textproc/uim-qt4: Qt4 has been EOL since december 2015
2019-03-15 textproc/xxdiff: Qt4 has been EOL since december 2015
2019-03-15 www/aria2fe: Qt4 has been EOL since december 2015
2019-03-15 www/cutycapt: Qt4 has been EOL since december 2015
2019-03-15 www/py-qt4-webkit: Qt4 has been EOL since december 2015
2019-03-15 www/qt4-webkit: Qt4 has been EOL since december 2015
2019-03-15 www/qupzilla-qt4: Qt4 has been EOL since december 2015
2019-03-15 x11/leechcraft: Qt4 has been EOL since december 2015
2019-03-15 x11/py-qt4-opengl: Qt4 has been EOL since december 2015
2019-03-15 x11/qimageblitz: Qt4 has been EOL since december 2015
2019-03-15 x11/qt4-graphicssystems-opengl: Qt4 has been EOL since december 2015
2019-03-15 x11/qt4-inputmethods: Qt4 has been EOL since december 2015
2019-03-15 x11/qxkb: Qt4 has been EOL since december 2015
2019-03-15 x11-fonts/fontmatrix: Qt4 has been EOL since december 2015
2019-03-15 x11-themes/qt4-style-float: Qt4 has been EOL since december 2015
2019-03-15 x11-themes/qt4-style-phase: Qt4 has been EOL since december 2015
2019-03-15 x11-themes/qt4-style-quantumstyle: Qt4 has been EOL since december
2015
2019-03-15 x11-themes/qtcurve-qt4: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/attica: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/py-qt4-gui: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/qt4-declarative: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/qt4-gui: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/qt4pas: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/qwt5: Qt4 has been EOL since december 2015
2019-03-15 x11-toolkits/qwt5-designerplugin: Qt4 has been EOL since december
2015
2019-03-15 x11-toolkits/soqt: Qt4 has been EOL since december 2015
2019-03-15 x11-wm/qlwm: Qt4 has been EOL since december 2015

Approved by:	portmgr (implicit)
Original commitRevision:495967 
21:38 tcberner search for other commits by this committer
Qt4 deprecation: remove emulators/gns3

Approved by:	portmgr (implicit)
Original commitRevision:495963 
Thursday, 14 Mar 2019
13:55 jbeich search for other commits by this committer
emulators/ppsspp-devel: remove until enough upstream changes accumulate
Original commitRevision:495701 
Wednesday, 27 Feb 2019
09:40 royger search for other commits by this committer
emulators/xen-kernel411 & sysutils/xen-tools411: drop version number from port

I don't have the bandwidth to maintain multiple version of Xen, and
going forward all newer version of Xen should work on FreeBSD without
issues.

Sponsored by:		Citrix Systems R&D
Reviewed by:		bapt
Differential revision:	https://reviews.freebsd.org/D19284
Original commitRevision:494039 
Tuesday, 19 Feb 2019
00:13 jbeich search for other commits by this committer
emulators/ppsspp-devel: update to 1.7.5.476

Changes:	https://github.com/hrydgard/ppsspp/compare/v1.7.5...01f0f3e86
Original commitRevision:493332 
Friday, 8 Feb 2019
07:44 tobik search for other commits by this committer
New port: emulators/teo

Teo is an emulator of the Thomson TO8 microcomputer for PC, running
on MSDOS, Windows, Linux, and FreeBSD.

The compatibility is close to 100% for softwares which don't use
non emulated peripherals and don't hold physical protections.

WWW: https://sourceforge.net/projects/teoemulator/

PR:		235563
Submitted by:	Thomas Bernard <nanard@free.fr>
Original commitRevision:492411 
Sunday, 27 Jan 2019
05:55 tobik search for other commits by this committer
New port: emulators/emulationstation

EmulationStation is a cross-platform graphical front-end for
emulators, with controller navigation.

Originally written by Alec "Aloshi" Lofquist, this is a fork by
RetroPie.

WWW: https://github.com/RetroPie/EmulationStation

PR:		230537
Submitted by:	freebsd@coombscloud.com
Original commitRevision:491326 
Friday, 21 Dec 2018
13:19 rene search for other commits by this committer
Remove expired ports:
2018-12-19 net/py-libstorj: Broken for more than 6 months
2018-12-20 net/xferstats: Uses obsolete glib12
2018-12-20 net/wmlj: Uses obsolete glib12
2018-12-20 net/ipsorc: Uses obsolete glib12
2018-12-20 net/bsdproxy: Uses obsolete glib12
2018-12-20 net/gini: Uses obsolete glib12
2018-12-21 net/netatalk: Outdated branch of netatalk; use net/netatalk3 instead
2018-12-20 net/nocatsplash: Uses obsolete glib12
2018-12-20 net/jags: Uses obsolete glib12
2018-12-19 net/scribe: Broken for more than 6 months
2018-12-20 net/libnetdude: Uses obsolete glib12
2018-12-20 net/nepim: Uses obsolete glib12
2018-12-20 emulators/generator: Uses obsolete glib12
2018-12-19 emulators/py-nova: Broken for more than 6 months
2018-12-20 emulators/generator-cbiere: Uses obsolete glib12
2018-12-20 x11-toolkits/p5-Gtk-Perl: Uses obsolete glib12
2018-12-20 deskutils/ithought: Uses obsolete glib12
2018-12-20 deskutils/gaddr: Uses obsolete glib12
2018-12-20 x11-fonts/gfe: Uses obsolete glib12
2018-12-20 graphics/graphopt: Uses obsolete glib12
2018-12-19 graphics/fotoxx: Broken for more than 6 months
2018-12-20 graphics/gcolor: Uses obsolete glib12
2018-12-20 graphics/danpei: Uses obsolete glib12
2018-12-20 graphics/chbg: Uses obsolete glib12
2018-12-20 mail/pop3lite: Uses obsolete glib12
2018-12-20 mail/gbuffy: Uses obsolete glib12
2018-12-20 security/gtk-knocker: Uses obsolete glib12
2018-12-20 security/gpasman: Uses obsolete glib12
2018-12-20 security/crank: Uses obsolete glib12
2018-12-20 security/stegdetect: Uses obsolete glib12
2018-12-20 devel/liboop: Uses obsolete glib12
2018-12-20 devel/gcvs: Uses obsolete glib12
2018-12-20 print/lpr-wrapper: Uses obsolete glib12
2018-12-20 print/libppd: Uses obsolete glib12
2018-12-20 net-p2p/napshare: Uses obsolete glib12
2018-12-20 net-p2p/gnewtellium: Uses obsolete glib12
2018-12-20 editors/gnotepad+: Uses obsolete glib12
2018-12-20 editors/manedit: Uses obsolete glib12
2018-12-20 misc/gtkfind: Uses obsolete glib12
2018-12-20 games/mindguard: Uses obsolete glib12
2018-12-20 games/xbattle: Uses obsolete glib12
2018-12-20 games/xbill: Uses obsolete glib12
2018-12-20 games/corewars: Uses obsolete glib12
2018-12-20 games/dopewars: Uses obsolete glib12
2018-12-20 games/garith: Uses obsolete glib12
2018-12-20 games/wmquake: Uses obsolete glib12
2018-12-20 games/znibbles: Uses obsolete glib12
2018-12-20 games/xpuyopuyo: Uses obsolete glib12
2018-12-19 games/kajongg: Broken for more than 6 months
2018-12-20 games/netspades: Uses obsolete glib12
2018-12-20 games/gtklife: Uses obsolete glib12
2018-12-20 biology/xmolwt: Uses obsolete glib12
2018-12-20 x11-clocks/wmclockmon: Uses obsolete glib12
2018-12-20 x11-clocks/asclock-gtk: Uses obsolete glib12
2018-12-20 net-im/gale: Uses obsolete glib12
2018-12-20 audio/xmms-ahx: Uses obsolete glib12
2018-12-20 audio/xmms-curses: Uses obsolete glib12
2018-12-20 audio/scrobbler: Uses obsolete glib12
2018-12-20 audio/xmms-nsf: Uses obsolete glib12
2018-12-20 audio/xmms-nas: Uses obsolete glib12
2018-12-20 audio/xmms-gbsplay: Uses obsolete glib12
2018-12-20 audio/xmms-wavpack: Uses obsolete glib12
2018-12-20 audio/xmms-shn: Uses obsolete glib12
2018-12-20 audio/xmms-volnorm: Uses obsolete glib12
2018-12-20 audio/xmms-faad: Uses obsolete glib12
2018-12-20 audio/xmms-scrobbler: Uses obsolete glib12
2018-12-20 audio/mcplay: Uses obsolete glib12
2018-12-20 audio/gmixer: Uses obsolete glib12
2018-12-20 audio/soundtracker: Uses obsolete glib12
2018-12-20 audio/xmms-sapplug: Uses obsolete glib12
2018-12-20 audio/rio500: Uses obsolete glib12
2018-12-20 audio/xmmsctrl: Uses obsolete glib12
2018-12-20 audio/xmms-xf86audio: Uses obsolete glib12
2018-12-20 audio/xmms-mailnotify: Uses obsolete glib12
2018-12-20 audio/xmms-sexypsf: Uses obsolete glib12
2018-12-20 audio/gqmpeg: Uses obsolete glib12
2018-12-20 audio/wmalbum: Uses obsolete glib12
2018-12-20 audio/xmms-xymms: Uses obsolete glib12
2018-12-20 audio/xmms-flac: Uses obsolete glib12
2018-12-20 audio/xmms-festalon: Uses obsolete glib12
2018-12-20 audio/gkrellmms2: Uses obsolete glib12
2018-12-20 audio/xmms-ladspa: Uses obsolete glib12
2018-12-19 math/octave-forge-engine: Broken for more than 6 months
2018-12-20 math/surf: Uses obsolete glib12
2018-12-19 math/msieve: Broken for more than 6 months
2018-12-19 math/octave-forge-fl-core: Broken for more than 6 months
2018-12-19 math/octave-forge-pdb: Broken for more than 6 months
2018-12-19 math/octave-forge-audio: Broken for more than 6 months
2018-12-20 math/geg: Uses obsolete glib12
2018-12-20 math/grpn: Uses obsolete glib12
2018-12-20 x11/gdkxft: Uses obsolete glib12
2018-12-20 x11/gtk-theme-switch: Uses obsolete glib12
2018-12-19 x11/xpyb: Broken for more than 6 months
2018-12-20 x11/gtk-launch: Uses obsolete glib12
2018-12-19 x11/xpra: Broken for more than 6 months
2018-12-20 palm/pilrc: Uses obsolete glib12
2018-12-20 x11-fm/mtoolsfm: Uses obsolete glib12
2018-12-20 german/steak: Uses obsolete glib12
2018-12-20 multimedia/xmms-skins-huge: Uses obsolete glib12
2018-12-20 multimedia/openquicktime: Uses obsolete glib12
2018-12-20 multimedia/xmms-skins: Uses obsolete glib12
2018-12-20 multimedia/oqtplayer: Uses obsolete glib12
2018-12-20 multimedia/oqtencoder: Uses obsolete glib12
2018-12-20 multimedia/p5-Video-OpenQuicktime: Uses obsolete glib12
2018-12-20 multimedia/xtheater: Uses obsolete glib12
2018-12-20 multimedia/dv2jpg: Uses obsolete glib12
2018-12-20 comms/hf: Uses obsolete glib12
2018-12-20 comms/gscmxx: Uses obsolete glib12
2018-12-20 sysutils/wmcube-gdk: Uses obsolete glib12
2018-12-20 sysutils/gcombust: Uses obsolete glib12
2018-12-20 sysutils/xlogmaster: Uses obsolete glib12
2018-12-20 sysutils/mount.app: Uses obsolete glib12
2018-12-20 sysutils/bbapm: Uses obsolete glib12
Original commitRevision:487992 
Wednesday, 28 Nov 2018
09:37 kbowling search for other commits by this committer
emulators/qemu-powernv: rename from emulators/qemu-ppcnv and update to POWER9

Update to benh's qemu power9 branch which adds support for features like radix
mmu and phb.

Take maintainership of this port with Mark's permission from IRC conversation.

Approved by:	krion (mentor)
Sponsored by:	BBOX.io
Differential Revision:	https://reviews.freebsd.org/D17862
Original commitRevision:486085 
Thursday, 1 Nov 2018
19:05 rene search for other commits by this committer
Remove expired ports:
2018-10-31 games/bloboats: Upstream gone, FreeBSD 10 only
2018-10-31 net/stf-6rd-kmod: Does not build on FreeBSD 11+
2018-10-31 net/pmf: Does not build on FreeBSD 11+
2018-10-31 net/knemo-kde4: KDE4 is EOL upstream, FreeBSD 10 only-port
2018-10-31 net/userfw: Does not build on FreeBSD 11+
2018-10-31 sysutils/qjail4: Only for FreeBSD 10.x , use sysutis/qjail instead
2018-10-31 sysutils/bsdmoted: does not build on FreeBSD 11+
2018-10-31 sysutils/scprotect: Does not build on FreeBSD 11+
2018-10-31 www/typo3-7: Support will end in October 2018, please update to
either www/typo3-8 or www/typo3-9
2018-10-31 devel/memleax: does not actually detect leaks
2018-10-31 emulators/virtio-kmod: Does not build on FreeBSD 10+
2018-10-31 games/traindirector: Does not build on FreeBSD 11+
Original commitRevision:483701 
Tuesday, 30 Oct 2018
06:44 kbowling search for other commits by this committer
emulators/linux-power9-functional-sim: New port

This is a full system simulator for IBM's POWER9 and is sufficent to run
FreeBSD 12.0 or POWER9BSD work in progress. Ask in #powerpc64 on efnet for
usage help for now.

Approved by:	timur (mentor)
Differential Revision:	https://reviews.freebsd.org/D17545
Original commitRevision:483454 
Thursday, 16 Aug 2018
20:28 rene search for other commits by this committer
Remove expired ports:
2018-08-16 net/traceroute: Upstream gone
2018-08-15 net/e169-stats: unknown license
2018-08-15 net/l4ip: unknown license
2018-08-15 net/dhcprelay: unknown license
2018-08-15 emulators/m2000: unknown license
2018-08-15 textproc/ant-xinclude-task: unknown license
2018-08-15 textproc/bomstrip: unknown license
2018-08-15 x11-fonts/ecofont: unknown license
2018-08-15 mail/roundcube-groupvice: unknown license
2018-08-15 security/pft: unknown license
2018-08-15 devel/kickassembler: unknown license
2018-08-15 devel/gdbmods: unknown license
2018-08-15 devel/as31: unknown license
2018-08-15 databases/dbf2mysql: unknown license
2018-08-15 misc/xpns: unknown license
2018-08-15 misc/amfm: unknown license
2018-08-15 games/smashbattle: unknown license
2018-08-15 games/syobon: unknown license
2018-08-15 games/optimax: unknown license
2018-08-15 games/xgospel: unknown license
2018-08-15 biology/blat: unknown license
2018-08-15 x11-clocks/swisswatch: unknown license
2018-08-15 palm/ppmtoTbmp: unknown license
2018-08-15 dns/ghtool: unknown license
2018-08-15 x11-themes/beastie: unknown license
2018-08-15 converters/uudx: unknown license
2018-08-15 sysutils/areca-cli: unknown license
Original commitRevision:477371 
Friday, 3 Aug 2018
17:53 antoine search for other commits by this committer
Finish removal of emulators/snes9x
Original commitRevision:476314 
15:52 acm search for other commits by this committer
- Remove emulators/snes9x A update version is available at
  emulators/snes9x-gtk
Original commitRevision:476299 
Tuesday, 24 Jul 2018
20:26 antoine search for other commits by this committer
Fix INDEX and duplicate PKGBASEs
Original commitRevision:475276 
Friday, 1 Jun 2018
18:50 rene search for other commits by this committer
Remove expired ports:
2018-05-31 net/rubygem-gitaly-proto083: Obsoleted by update of www/gitlab.
Please use net/rubygem-gitaly-proto instead.
2018-05-31 net/rubygem-gitaly-proto084: Obsoleted by update of www/gitlab.
Please use net/rubygem-gitaly-proto instead
2018-05-31 textproc/rubygem-github-linguist47: Obsoleted by update of
www/gitlab. Please use textproc/rubygem-github-linguist instead
2018-05-31 textproc/rubygem-loofah20: Obsoleted by update of www/gitlab. Please
use textproc/rubygem-loofah instead.
2018-05-31 www/npm-node4: Use www/npm instead
2018-05-31 emulators/qemu-launcher: Upstream is gone
Original commitRevision:471283 
Saturday, 10 Mar 2018
11:14 dbn search for other commits by this committer
i386-wine-devel: update to 3.3

 - remove i386-wine-staging (and STAGING option) as patches are no longer
   provided upstream
Original commitRevision:464066 
Friday, 2 Mar 2018
19:10 rene search for other commits by this committer
Remove expired ports:
2018-03-01 devel/dotconf++: No upstream, not depend on in the ports tree
2018-03-01 emulators/gnuboy: Latest version is 1.0.5, older version does not
fetch
2018-03-01 games/adgali: Mastersite disappeared
2018-03-01 games/tuxpuck: Mastersite disappeared
2018-03-01 japanese/migemo-emacs: Unmaintained
2018-03-01 math/clarence: Mastersite disappeared
2018-03-01 devel/cstringbuffer: Abandonware, no more upstream
2018-03-01 deskutils/charmap: Mastersite disappeared
2018-03-01 devel/afay: Abandonware, not used in the ports tree
2018-03-01 devel/alabastra: Abandonware, not used in the ports tree
2018-03-01 devel/adime: Abandonware, not used in the ports tree
2018-03-01 devel/boaconstructor: Abandonware, does not work with recent
python/wxPython
2018-03-01 audio/amp: No more upstream
2018-03-01 devel/alf: Abandonware, unused in the ports tree
Original commitRevision:463444 
Wednesday, 21 Feb 2018
16:07 antoine search for other commits by this committer
pipelight builds fine with wine (not run tested)
Original commitRevision:462530 
Tuesday, 20 Feb 2018
16:54 antoine search for other commits by this committer
Comment out pipelight for now to unbreak INDEX and bulk -a
Original commitRevision:462413 
08:37 gerald search for other commits by this committer
Remove the wine-staging port which has been BROKEN (and is not fixable
as such, since the latest patchset no longer applies to current versions
of Wine).

This is logical consequence of r462267 removing the STAGING option from
emulators/wine-devel with the follow rationale:

  Remove the STAGING option which has been marked BROKEN for 11 weeks
  now that the Wine Staging tree has been declared suspended yesterday,
  cf. https://www.wine-staging.com/news/2018-02-17-future-wine-staging.html .
Original commitRevision:462376 
Wednesday, 7 Feb 2018
01:03 brooks search for other commits by this committer
Update to a new snapshot.

Consolidate the qemu-cheri ports into one now that they can be built in a
single tree (thanks to arichardson@).

Sponsored by:	DARPA, AFRL
Original commitRevision:461121 
Sunday, 28 Jan 2018
01:39 rene search for other commits by this committer
Remove expired ports:
2018-01-27 emulators/raine: Broken for more than 6 months
2018-01-27 mail/libmapi: Broken for more than 6 months
2018-01-27 www/lessc: Broken for more than 6 months
2018-01-27 www/uglifyjs: Broken for more than 6 months
2018-01-27 www/py-octoprint: Broken for more than 6 months
2018-01-27 www/xpi-noscript: Broken for more than 6 months
2018-01-27 www/npm-less-plugin-clean-css: Broken for more than 6 months
2018-01-27 www/caudium14: Depends on expiring lang/pike78
2018-01-27 www/hinventory-client: Broken for more than 6 months
2018-01-27 security/tclgpg: Broken for more than 6 months
2018-01-27 security/pond: Broken for more than 6 months
2018-01-27 security/mdcrack: Broken for more than 6 months
2018-01-27 devel/npm-commander: Broken for more than 6 months
2018-01-27 devel/py-protocols-devel: Broken for more than 6 months
2018-01-27 devel/py-InlineEgg: Broken for more than 6 months
2018-01-27 devel/npm-amdefine: Broken for more than 6 months
2018-01-27 devel/npm-source-map: Broken for more than 6 months
2018-01-27 devel/libical-glib: Broken for more than 6 months
2018-01-27 devel/npm-graceful-readlink: Broken for more than 6 months
2018-01-27 devel/npm-clean-css: Broken for more than 6 months
2018-01-27 devel/py-ruledispatch: Depends on expiring devel/py-protocols-devel
2018-01-27 games/balazarbrothers: Broken for more than 6 months
2018-01-27 games/libretro-cores: Broken for more than 6 months
2018-01-27 games/gish-demo: Broken for more than 6 months
2018-01-27 games/cheech: Broken for more than 6 months
2018-01-27 audio/mbrolavox: Broken for more than 6 months
2018-01-27 audio/linux-mbrola: Depends on expiring audio/mbrolavox
2018-01-27 audio/gigedit: Broken for more than 6 months
2018-01-27 audio/gnomoradio: Broken for more than 6 months
2018-01-27 math/asir2000: Broken for more than 6 months
2018-01-27 multimedia/librespot: Broken for more than 6 months
2018-01-27 multimedia/bombono: Broken for more than 6 months
2018-01-27 lang/gcl: Broken for more than 6 months
2018-01-27 lang/pike78: Broken for more than 6 months
2018-01-27 shells/ambit: Broken for more than 6 months
Original commitRevision:460155 
Wednesday, 29 Nov 2017
17:37 jbeich search for other commits by this committer
emulators/ppsspp-devel: remove until enough upstream changes accumulate
Original commitRevision:455135 
Thursday, 5 Oct 2017
16:35 tobik search for other commits by this committer
New port: emulators/mgba

A modern open source Game Boy Advance emulator, with support for Game
Boy and Game Boy Color games as well.  The project started in April
2013 with the goal of being fast enough to run on lower end hardware
than other emulators support, without sacrificing accuracy or
portability.  Other goals include accurate enough emulation to provide
a development environment for homebrew software, a good workflow for
tool-assist runners, and a modern feature set for emulators that older
emulators may not support.

WWW: https://mgba.io

PR:		222779
Submitted by:	Greg V <greg@unrelenting.technology>
Original commitRevision:451322 
Sunday, 1 Oct 2017
09:15 jbeich search for other commits by this committer
emulators/ppsspp-devel: revive and update to 1.4.2.463

Changes:        https://github.com/hrydgard/ppsspp/compare/v1.4.2...11f8bcc8a
Original commitRevision:451036 
Wednesday, 26 Jul 2017
20:55 linimon search for other commits by this committer
Add port for QEMU fork for experimental PowerNV work (powerpc64,
Non-Virtualized).
Original commitRevision:446697 
Monday, 19 Jun 2017
20:47 jbeich search for other commits by this committer
emulators/rpcs3: add new port

RPCS3 is an open-source Sony PlayStation 3 emulator and debugger
written in C++ for Windows and Linux. The project began development on
May 23rd, 2011 and currently sports modern Vulkan, Direct3D 12 and
OpenGL graphic APIs. The emulator is capable of booting and playing
hundreds of commercial games. With each and every contribution and
donation, more and more games are becoming closer and closer to either
booting or full playability.

https://rpcs3.net/
Original commitRevision:443906 
Friday, 16 Jun 2017
04:11 ultima search for other commits by this committer
* Add mupen64plus-qt 1.10, basic launcher for Mupen64Plus.

Mupen64Plus-Qt is a basic launcher for the mupen64plus-ui-console frontend. It
was adapted from CEN64-Qt to work with Mupen64Plus.

See the README at https://www.github.com/dh4/mupen64plus-qt for a detailed
description of its features and usage.

WWW: https://www.github.com/dh4/mupen64plus-qt

PR:		203642
Sumitted by:	Dan <dan465@mail.com> (maintainer)
Reviewed by:	matthew (mentor)
Approved by:	matthew (mentor)
Differential Revision:	https://reviews.freebsd.org/D11198
Original commitRevision:443667 
Wednesday, 26 Apr 2017
09:10 danfe search for other commits by this committer
Add a port of AlmostTI, simple emulator for Z80-based series of Texas
Instruments calculators, written by Marat Fayzullin and modified for
better Unix support by Doug Melton.

Our local modifications offer better keyboard mappings out of the box,
making it suitable as desktop calculator when you need something more
advanced than dc(1), bc(1), or your favorite language's REPL.

WWW: http://fms.komkon.org/ATI85/

TIMESTAMP (AlmostTI13-Unix-DougMelton-051409.tar.gz) = 1261815086
Original commitRevision:439436 
Friday, 31 Mar 2017
13:10 jbeich search for other commits by this committer
emulators/ppsspp: update to 1.4

Changes:	http://ppsspp.org/#news
Changes:	https://github.com/hrydgard/ppsspp/releases/tag/v1.4
Original commitRevision:437353 
Friday, 3 Mar 2017
18:53 rene search for other commits by this committer
Remove expired port:
2017-03-01 emulators/hyperv-is: does not support any actual FreeBSD release
Original commitRevision:435358 
Tuesday, 7 Feb 2017
15:33 lwhsu search for other commits by this committer
Add RISC-V ISA Simulator:

- emulators/riscv-fesvr, RISC-V Frontend Server
- emulators/riscv-isa-sim, Spike, a RISC-V ISA Simulator

Original work is done by sbruno

Reviewed by:	br (earlier version)
Differential Revision:	https://reviews.freebsd.org/D7527
Original commitRevision:433560 
Sunday, 15 Jan 2017
09:48 rene search for other commits by this committer
Remove expired ports:
2017-01-15 net/cyphesis: Does not compile on FreeBSD 10+
2017-01-15 net/gpxe: does not build on FreeBSD 10.x and later
2017-01-15 net/openospfd: requires old CARP implementation (interface layer)
2017-01-15 security/openbsm-devel: is not needed under FreeBSD 10.x or higher
2017-01-15 security/ssh-copy-id: is already in the base system
2017-01-15 sysutils/apt: does not build on 10+
2017-01-15 archivers/tclmkziplib: Abandonware, please use bundled zlib package
[http://tcl.tk/man/tcl8.6/TclCmd/zlib.htm]
2017-01-15 x11-drivers/drm-kmod: this port is only for 9.3 systems
2017-01-15 audio/xmms-openspc: does not build on FreeBSD 10.x and later
2017-01-15 audio/aureal-kmod: does not build (and fetch)
2017-01-15 emulators/doscmd: does not build (accesses field of opaque structure)
Original commitRevision:431540 
Saturday, 31 Dec 2016
17:25 rene search for other commits by this committer
Drop support for Linux Fedora 10 (ports part)
games/dsnake only worked with linux-f10

Should fix INDEX

audio/linux-f10-sdl_mixer
audio/linux-f10-pulseaudio-libs
audio/linux-f10-freealut
audio/linux-f10-arts
audio/linux-f10-esound
audio/linux-f10-libogg
audio/linux-f10-alsa-plugins-oss
audio/linux-f10-openal
audio/linux-f10-openal-soft
audio/linux-f10-nas-libs
audio/linux-f10-alsa-lib
audio/linux-f10-libvorbis
audio/linux-f10-libaudiofile
audio/linux-f10-mikmod
databases/linux-f10-sqlite3
devel/linux-f10-dbus-glib
devel/linux-f10-sdl12
devel/linux-f10-libglade2
devel/linux-f10-devtools
devel/linux-f10-allegro
devel/linux-f10-nspr
devel/linux-f10-dbus-libs
devel/linux-f10-libsigc++20
devel/linux-f10-ncurses-base
dns/linux-f10-libasyncns
emulators/linux_base-f10
emulators/linux-f10
ftp/linux-f10-curl
games/dsnake
graphics/linux-f10-sdl_image
graphics/linux-f10-sdl_ttf
graphics/linux-f10-glew
graphics/linux-f10-ungif
graphics/linux-f10-png
graphics/linux-f10-tiff
graphics/linux-f10-dri
graphics/linux-f10-jpeg
graphics/linux-f10-libGLU
graphics/linux-f10-gdk-pixbuf
graphics/linux-f10-libmng
graphics/linux-f10-cairo
graphics/linux-f10-imlib
lang/linux-f10-tcl85
lang/linux-f10-libg2c
multimedia/linux-f10-libtheora
multimedia/linux-f10-libv4l
net/linux-f10-openldap
net/linux-f10-nss_ldap
print/linux-f10-cups-libs
security/linux-f10-gnutls
security/linux-f10-nss
security/linux-f10-openssl
security/linux-f10-libgpg-error
security/linux-f10-libtasn1
security/linux-f10-libgcrypt
security/linux-f10-libssh2
security/linux-f10-cyrus-sasl2
sysutils/linux-f10-procps
textproc/linux-f10-aspell
textproc/linux-f10-expat
textproc/linux-f10-scim-gtk
textproc/linux-f10-scim-libs
textproc/linux-f10-libxml2
x11/linux-f10-xorg-libs
x11-fonts/linux-f10-fontconfig
x11-themes/linux-f10-qtcurve-gtk2
x11-themes/linux-f10-hicolor-icon-theme
x11-toolkits/linux-f10-qt45
x11-toolkits/linux-f10-gtk2
x11-toolkits/linux-f10-openmotif
x11-toolkits/linux-f10-pango
accessibility/linux-f10-atk
archivers/linux-f10-ucl
archivers/linux-f10-upx
Original commitRevision:430144 
Wednesday, 21 Dec 2016
05:53 lwhsu search for other commits by this committer
Add emulators/qemu-riscv, QEMU with RISC-V (RV64G, RV32G) emulation support
Original commitRevision:429042 
Monday, 19 Dec 2016
23:07 antoine search for other commits by this committer
New port: emulators/py-unicorn

Python bindings for Unicorn CPU emulator framework
Original commitRevision:428964 
Sunday, 18 Dec 2016
06:30 novel search for other commits by this committer
Add emulators/py-nova 14.0.2, Openstack Compute Service

Please note that this is a development version of nova.
Many features are not available.

Currently nova works on FreeBSD 11 and supports QEMU and Xen.

Common issues:
- Security groups are not implemented
- ARP spoofing, DHCP isolation protection are not implemented
- Nova services work from the root user
- No IPv6 support

QEMU issues:
- Need to enable serialconsole (TCP)
- Need to disable online CPU tracking
- Cannot mount cinder volumes

Xen issues:
- Live snapshots don't work
- No support for cinder volume hot-plugging
- XENBUS delay (5 min) when using qemu driver and COW images
- Some Linux images cannot be booted

For further FreeBSD specific notes please refer to port's pkg-message.

PR:		215151
Submitted by:	Alexander Nusov (alexander.nusov@nfvexpress.com)
Original commitRevision:428837 
Friday, 16 Dec 2016
06:43 antoine search for other commits by this committer
New port: emulators/unicorn

Unicorn is a lightweight, multi-platform, multi-architecture CPU emulator
framework based on QEMU.

Unicorn offers some unparalleled features:
- Multi-architecture: ARM, ARM64 (ARMv8), M68K, MIPS, SPARC, and X86 (16, 32,
  64-bit)
- Clean/simple/lightweight/intuitive architecture-neutral API
- Implemented in pure C language, with bindings for Perl, Rust, Ruby, Python,
  Java, MSVC, .NET, Go, Delphi/Free Pascal and Haskell.
- Native support for Windows & *nix (with Mac OSX, Linux, *BSD & Solaris
  confirmed)
- High performance via Just-In-Time compilation
- Support for fine-grained instrumentation at various levels
- Thread-safety by design
- Distributed under free software license GPLv2

WWW: http://www.unicorn-engine.org/
Original commitRevision:428645 
Monday, 7 Nov 2016
10:13 matthew search for other commits by this committer
Winetricks is an easy way to work around problems in Wine.

It has a menu of supported games/apps for which it can do
all the workarounds automatically. It also lets you install
missing DLLs or tweak various Wine settings individually.

WWW: https://wiki.winehq.org/Winetricks

PR:		211293
Submitted by:	Nikolai Lifanov <lifanov@mail.lifanov.com>
Original commitRevision:425599 
Wednesday, 19 Oct 2016
14:50 tijl search for other commits by this committer
Add Linux CentOS 7 infrastructure ports.

Mk/Uses/linux.mk changes:
- Add support for architecture neutral (noarch) distfiles.
- Add support for 64-bit only ports: set IGNORE on i386 and don't install
  32-bit compat libraries on amd64.

Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
Differential Revision:	https://reviews.freebsd.org/D7886
Original commitRevision:424259 
Friday, 14 Oct 2016
20:34 asomers search for other commits by this committer
Add emulators/qemu-utils

qemu-utils is a new port which installs a few miscellaneous qemu utilities
that are useful even without emulation capabilities. It is useful where
emulation is not needed, because it has far fewer dependencies than qemu.
It is equivalent to the Debian package of the same name.

Reviewed by:	sbruno, brd
Approved by:	brd (ports)
Sponsored by:	Spectra Logic Corp
Differential Revision:	https://reviews.freebsd.org/D8038
Original commitRevision:423989 
Monday, 10 Oct 2016
20:15 jbeich search for other commits by this committer
emulators/citra: add new port

Citra is an experimental open-source Nintendo 3DS emulator/debugger
written in C++. It is written with portability in mind, with builds
actively maintained for Windows, Linux and OS X. Citra only emulates a
subset of 3DS hardware, and therefore is generally only useful for
running/debugging homebrew applications. At this time, Citra is even
able to boot several commercial games! Most of these do not run to a
playable state, but we are working every day to advance the project
forward.

https://citra-emu.org
Original commitRevision:423700 
Wednesday, 5 Oct 2016
19:55 jkim search for other commits by this committer
- Rename emulators/virtualbox-ose-lite to emulators/virtualbox-ose-nox11 and
assign its maintainership to vbox@. [1]
- Use OPTIONS_EXCLUDE to simplify its master port.

Approved by:	alfred (maintainer) [1]
Original commitRevision:423381 
01:03 swills search for other commits by this committer
emulators/virtualbox-ose-additions-nox11: create port

Create a port for virtualbox-ose-additions with x11 option disabled
Original commitRevision:423312 
Tuesday, 27 Sep 2016
18:25 jbeich search for other commits by this committer
emulators/ppsspp: enslave GUI options

Catering package-only users that want Qt4 flavor or just SDL UI.
COMMENT and pkg-descr (both plural) can be improved in future.
Original commitRevision:422825 
Monday, 5 Sep 2016
20:10 tijl search for other commits by this committer
Add linux_base-c7 port that installs CentOS 7 base packages.

PR:		210926
Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
Original commitRevision:421391 
Friday, 26 Aug 2016
12:21 bapt search for other commits by this committer
Remove kqemu-kmod{,-devel}

The are broken on recent FreeBSD, they are not supported by any qemu version,
they do not build with recent binutils (2.27)
Original commitRevision:420913 
Tuesday, 5 Jul 2016
08:06 alfred search for other commits by this committer
virtualbox-ose-lite minimal deps for packaging

This package has minimal deps, only udp server and
vncserver are required.

This works really nicely for someone who just wants
to run headless vms or the VBoxManage tools without
bloat.
Original commitRevision:418067 
Monday, 4 Jul 2016
20:48 rene search for other commits by this committer
Remove expired ports without open PRs:
2016-07-04 security/openpgpsdk: Broken for more than 6 months
2016-07-04 security/radiusniff: Broken for more than 6 months
2016-07-04 security/pear-Auth_OpenID: Broken for more than 6 months
2016-07-04 security/sshit: Broken for more than 6 months
2016-07-04 security/ifd-slb_rf60: Broken for more than 6 months
2016-07-04 security/rainbowcrack: Broken for more than 6 months
2016-07-04 security/vlog: Broken for more than 6 months
2016-07-04 security/cryptstring: Broken for more than 6 months
2016-07-04 x11/libdnd: Broken for more than 6 months
2016-07-04 x11/xlupe: Broken for more than 6 months
2016-07-04 x11/xco: Broken for more than 6 months
2016-07-04 x11/xclick: Broken for more than 6 months
2016-07-04 devel/ocfpcsc: Broken for more than 6 months
2016-07-04 devel/dits: Broken for more than 6 months
2016-07-04 devel/ruby-cache: Broken for more than 6 months
2016-07-04 devel/rapidsvn: Broken for more than 6 months
2016-07-04 devel/svnkit: Broken for more than 6 months
2016-07-04 devel/py-EnthoughtBase: Broken for more than 6 months
2016-07-04 devel/cl-uffi: Broken for more than 6 months
2016-07-04 devel/ruby-event-loop: Broken for more than 6 months
2016-07-04 devel/libqxt: Broken for more than 6 months
2016-07-04 devel/dasm: Broken for more than 6 months
2016-07-04 devel/libopendaap: Broken for more than 6 months
2016-07-04 devel/cl-uffi-sbcl: Depends on expiring devel/cl-uffi
2016-07-04 devel/cvs2p4: Broken for more than 6 months
2016-07-04 devel/bufferpool: Broken for more than 6 months
2016-07-04 devel/ifd-test: Broken for more than 6 months
2016-07-04 devel/eric4: Broken for more than 6 months
2016-07-04 devel/uclmmbase: Broken for more than 6 months
2016-07-04 devel/obfuscatejs: Broken for more than 6 months
2016-07-04 devel/oniguruma: Broken for more than 6 months
2016-07-04 devel/libbnr: Broken for more than 6 months
2016-07-04 devel/c4: Broken for more than 6 months
2016-07-04 devel/memcheck: Broken for more than 6 months
2016-07-04 devel/liblcfg: Broken for more than 6 months
2016-07-04 devel/omake: Broken for more than 6 months
2016-07-04 devel/svndelta: Broken for more than 6 months
2016-07-04 devel/papp: Broken for more than 6 months
2016-07-04 devel/mk: Broken for more than 6 months
2016-07-04 devel/avltree: Broken for more than 6 months
2016-07-04 devel/cbind: Broken for more than 6 months
2016-07-04 devel/tclgetopts: Broken for more than 6 months
2016-07-04 devel/antlrworks: Broken for more than 6 months
2016-07-04 devel/acme: Broken for more than 6 months
2016-07-04 devel/libopensync022: Broken for more than 6 months
2016-07-04 archivers/epkg: Broken for more than 6 months
2016-07-04 print/enscriptfonts: Broken for more than 6 months
2016-07-04 print/mup: Broken for more than 6 months
2016-07-04 lang/lua-mode.el: Broken for more than 6 months
2016-07-04 lang/s9fes: Broken for more than 6 months
2016-07-04 lang/alisp: Broken for more than 6 months
2016-07-04 lang/intel2gas: Broken for more than 6 months
2016-07-04 lang/stalin: Broken for more than 6 months
2016-07-04 french/eric4: Depends on expiring devel/eric4
2016-07-04 textproc/exslt: Broken for more than 6 months
2016-07-04 textproc/xt: Broken for more than 6 months
2016-07-04 textproc/ssddiff: Broken for more than 6 months
2016-07-04 textproc/xslint: Broken for more than 6 months
2016-07-04 textproc/cbedic: Broken for more than 6 months
2016-07-04 textproc/tralics: Broken for more than 6 months
2016-07-04 textproc/docbookide.el: Broken for more than 6 months
2016-07-04 textproc/glpi-plugins-AdditionalReports: Broken for more than 6
months
2016-07-04 textproc/tdhkit: Broken for more than 6 months
2016-07-04 textproc/p5-Groonga-API: Broken for more than 6 months
2016-07-04 textproc/glpi-plugins-DataInjection: Broken for more than 6 months
2016-07-04 dns/ldnsm: Broken for more than 6 months
2016-07-04 japanese/guesswork-classic: Broken for more than 6 months
2016-07-04 japanese/texinfo: Broken for more than 6 months
2016-07-04 japanese/jyuroku: Broken for more than 6 months
2016-07-04 japanese/mtools: Broken for more than 6 months
2016-07-04 palm/pdbar: Broken for more than 6 months
2016-07-04 graphics/gplot: Broken for more than 6 months
2016-07-04 graphics/white_dune: Broken for more than 6 months
2016-07-04 graphics/whirlgif: Broken for more than 6 months
2016-07-04 graphics/libaux: Broken for more than 6 months
2016-07-04 graphics/import-pictures: Broken for more than 6 months
2016-07-04 math/xgobi: Broken for more than 6 months
2016-07-04 math/fricas: Broken for more than 6 months
2016-07-04 math/dcdflib: Broken for more than 6 months
2016-07-04 math/libneural: Broken for more than 6 months
2016-07-04 math/open-axiom: Broken for more than 6 months
2016-07-04 irc/nefarious: Broken for more than 6 months
2016-07-04 irc/slirc: Broken for more than 6 months
2016-07-04 irc/ratbox-respond: Broken for more than 6 months
2016-07-04 irc/qwebirc: Broken for more than 6 months
2016-07-04 biology/platon: Broken for more than 6 months
2016-07-04 news/slnr: Broken for more than 6 months
2016-07-04 science/jmol: Broken for more than 6 months
2016-07-04 net/nstxd: Broken for more than 6 months
2016-07-04 net/sprinkle: Broken for more than 6 months
2016-07-04 editors/ssam: Broken for more than 6 months
2016-07-04 editors/fb: Broken for more than 6 months
2016-07-04 misc/quotes: Broken for more than 6 months
2016-07-04 misc/boxquote.el: Broken for more than 6 months
2016-07-04 misc/pypanda: Broken for more than 6 months
2016-07-04 misc/cuecat: Broken for more than 6 months
2016-07-04 deskutils/displaycalibrator: Broken for more than 6 months
2016-07-04 german/eric4: Depends on expiring devel/eric4
2016-07-04 multimedia/vic: Depends on expiring devel/uclmmbase
2016-07-04 multimedia/ggrab: Broken for more than 6 months
2016-07-04 emulators/dynamips: Broken for more than 6 months
2016-07-04 emulators/dynamips-devel: Broken for more than 6 months
2016-07-04 emulators/sim6811: Broken for more than 6 months
2016-07-04 emulators/minivmac: Broken for more than 6 months
2016-07-04 cad/qcad-partslib: Broken for more than 6 months
2016-07-04 comms/dump1090_mr: Broken for more than 6 months
2016-07-04 x11-fm/asfiles: Depends on expiring x11/libdnd
2016-07-04 x11-fonts/fonts-te: Broken for more than 6 months
2016-07-04 sysutils/rsyncmanager: Broken for more than 6 months
2016-07-04 sysutils/jfbterm: Broken for more than 6 months
2016-07-04 sysutils/daedalus: Broken for more than 6 months
2016-07-04 sysutils/pcfclock: Broken for more than 6 months
2016-07-04 sysutils/vlogger: Broken for more than 6 months
2016-07-04 sysutils/bontmia: Broken for more than 6 months
2016-07-04 mail/pop3gwd: Broken for more than 6 months
2016-07-04 mail/mailtray: Broken for more than 6 months
2016-07-04 mail/pflogstats: Broken for more than 6 months
2016-07-04 mail/exact: Broken for more than 6 months
2016-07-04 mail/wmpop3: Broken for more than 6 months
2016-07-04 mail/qmail-conf: Broken for more than 6 months
2016-07-04 mail/gld: Broken for more than 6 months
2016-07-04 mail/dsbl-testers: Broken for more than 6 months
2016-07-04 mail/vqregister: Broken for more than 6 months
2016-07-04 mail/atmail: Broken for more than 6 months
2016-07-04 mail/ml: Broken for more than 6 months
2016-07-04 net-im/icb: Broken for more than 6 months
2016-07-04 net-im/cicquin: Broken for more than 6 months
2016-07-04 net-im/pidgin-manualsize: Broken for more than 6 months
2016-07-04 net-im/pidgin-rhythmbox: Broken for more than 6 months
2016-07-04 russian/eric4: Depends on expiring devel/eric4
2016-07-04 russian/fortune-bashorgru: Broken for more than 6 months
2016-07-04 www/xpi-clearfields: Broken for more than 6 months
2016-07-04 www/pecl-varnish: Broken for more than 6 months
2016-07-04 www/py-requests-oauth-hook: Broken for more than 6 months
2016-07-04 www/hudson: Broken for more than 6 months
2016-07-04 www/xpi-mldonkey: Broken for more than 6 months
2016-07-04 www/xpi-cookiesafe: Broken for more than 6 months
2016-07-04 www/trac-mastertickets: Broken for more than 6 months
2016-07-04 www/dotclear: Broken for more than 6 months
2016-07-04 www/ruby-wgettsv: Broken for more than 6 months
2016-07-04 www/wwwstat: Broken for more than 6 months
2016-07-04 www/xpi-prism: Broken for more than 6 months
2016-07-04 www/xpi-fasterfox: Broken for more than 6 months
2016-07-04 www/siteframe: Broken for more than 6 months
2016-07-04 www/py-urljr: Broken for more than 6 months
2016-07-04 www/reviewboard: Broken for more than 6 months
2016-07-04 www/xpi-tabletools: Broken for more than 6 months
2016-07-04 www/wikindx: Broken for more than 6 months
2016-07-04 www/typolight: Broken for more than 6 months
2016-07-04 www/varnish-libvmod-header: Broken for more than 6 months
2016-07-04 www/xpi-gbrain: Broken for more than 6 months
2016-07-04 www/trac-robotstxt: Broken for more than 6 months
2016-07-04 www/simplog: Broken for more than 6 months
2016-07-04 www/chtml: Broken for more than 6 months
2016-07-04 databases/postgresql_autodoc: Broken for more than 6 months
2016-07-04 databases/oracle_odbc_driver: Broken for more than 6 months
2016-07-04 databases/mysql-xql: Broken for more than 6 months
2016-07-04 databases/mysql-udf-sys: Broken for more than 6 months
2016-07-04 games/lucidlife: Broken for more than 6 months
2016-07-04 games/gma: Broken for more than 6 months
2016-07-04 games/smiley: Broken for more than 6 months
2016-07-04 games/noegnud-littlehack: Broken for more than 6 months
2016-07-04 games/sdlquake2: Broken for more than 6 months
2016-07-04 games/daimonin: Depends on expiring games/daimonin-music
2016-07-04 games/noegnud-nethack: Broken for more than 6 months
2016-07-04 games/xbomber: Broken for more than 6 months
2016-07-04 games/xwelltris: Broken for more than 6 months
2016-07-04 games/ftjava: Broken for more than 6 months
2016-07-04 games/daimonin-music: Broken for more than 6 months
2016-07-04 games/gno3dtet: Broken for more than 6 months
2016-07-04 games/qtv: Broken for more than 6 months
2016-07-04 games/xwordpy: Broken for more than 6 months
2016-07-04 games/netris: Broken for more than 6 months
2016-07-04 games/rt2-demo: Broken for more than 6 months
2016-07-04 games/noegnud-addons: Broken for more than 6 months
2016-07-04 games/noegnud-nethack-deet: Broken for more than 6 months
2016-07-04 games/live-f1: Broken for more than 6 months
2016-07-04 games/xonix: Broken for more than 6 months
2016-07-04 games/fgkicker: Broken for more than 6 months
2016-07-04 games/tank: Depends on expiring graphics/libaux
2016-07-04 games/linux-nwserver: Broken for more than 6 months
2016-07-04 games/quake2-zaero: Broken for more than 6 months
2016-07-04 games/pyching: Broken for more than 6 months
2016-07-04 games/thevalley: Broken for more than 6 months
2016-07-04 games/xroads: Broken for more than 6 months
2016-07-04 games/fxsudoku: Broken for more than 6 months
2016-07-04 games/sudoku: Broken for more than 6 months
2016-07-04 games/kmancala: Broken for more than 6 months
2016-07-04 games/plonx: Broken for more than 6 months
2016-07-04 games/wmminichess: Broken for more than 6 months
2016-07-04 games/noegnud-slashem: Broken for more than 6 months
2016-07-04 games/latrine: Broken for more than 6 months
2016-07-04 games/pysycache-themes: Broken for more than 6 months
2016-07-04 games/nibbles: Broken for more than 6 months
2016-07-04 games/hlstatsx: Broken for more than 6 months
2016-07-04 audio/streamtuner: Broken for more than 6 months
2016-07-04 audio/mangler: Broken for more than 6 months
2016-07-04 audio/hawkvoice: Broken for more than 6 months
2016-07-04 audio/alac: Broken for more than 6 months
2016-07-04 x11-wm/e-module-mpdule: Broken for more than 6 months
2016-07-04 x11-wm/e-module-tclock: Broken for more than 6 months
2016-07-04 x11-wm/musca: Broken for more than 6 months
2016-07-04 x11-wm/e-module-places: Broken for more than 6 months
2016-07-04 x11-wm/e-module-forecasts: Broken for more than 6 months
2016-07-04 x11-wm/e-module-net: Broken for more than 6 months
2016-07-04 x11-wm/e-module-penguins: Broken for more than 6 months
2016-07-04 ftp/fget: Broken for more than 6 months
2016-07-04 net-mgmt/netmond: Broken for more than 6 months
2016-07-04 net-mgmt/ipfm: Broken for more than 6 months
Original commitRevision:418057 
Friday, 10 Jun 2016
14:41 brooks search for other commits by this committer
Update qemu-cheri* to a fresh snapshot.

Switch qemu-cheri128 to compressed 128-bit capabilities per the soon to be
released ISA v5.  Introduce a new qemu-cheri128m port which retains
support for 128-bit capabilities that magically store 256-bit of data
preserving semantic compatiblity with 256-bit capabilities while having
128-bit size and alignment requirments.
Original commitRevision:416683 
Monday, 22 Feb 2016
19:41 brooks search for other commits by this committer
Update qemu-cheri to a fresh snapshot and add a port to build the 128-bit
version.
Original commitRevision:409365 
Thursday, 18 Feb 2016
13:24 se search for other commits by this committer
This is the adaptation of PlayOnLinux to FreeBSD. The purpose of this
program is to simplify installation of MS Windows software to run under
the Windows emulator "Wine".

The name indicates, that the program was initially developed to support
easy installation of Windows games on Linux. The range of supported
applications has long been extended to cover a wide range of windows
applications including Microsoft Office.

PlayOnFreeBSD behaves significantly different than PlayOnLinux in a
number of aspects, e.g. which version of Wine to use (only a single
version is normally installed on FreeBSD, but PlayOnLinux tries to run
each Windows application in a Wine environment that has previously been
reported to give good results and installs missing Wine versions in the
user's home directory).

Reviewed by:	antoine
Original commitRevision:409105 
Tuesday, 26 Jan 2016
22:48 brooks search for other commits by this committer
Add a port of sson's fork of QEMU with CHERI CPU support.

Sponsored by:	DARPA, AFRL
Original commitRevision:407321 
Tuesday, 19 Jan 2016
05:52 vanilla search for other commits by this committer
Add nestopia 1.47, portable NES/Famicom emulator.

PR:		206311
Submitted by:	neel@neelc.org
Original commitRevision:406633 
Wednesday, 18 Nov 2015
20:37 bofh search for other commits by this committer
[NEW] emulators/vpsc: Virtual PC Simulator

The VPCS can simulate up to 9 PCs. You can ping/traceroute them, or
ping/traceroute the other hosts/routers from the virtual PCs when you study
the Cisco routers in the Dynamips. VPCS is not the traditional PC, it is
just a program running on the Linux or FreeBSD, and only few network
commands can be used in it. But VPCS can give you a big hand when you study
the Cisco devices in the Dynamips. VPCS can replace the routers or VMware
boxes which are used as PCs in the Dynamips network.  It can save your
CPU/Memory. It is very small.

VPCS can be run in udp or ether mode. In the udp mode, VPCS sends or
receives the packets via udp. In the ether mode, via /dev/tap.

WWW: https://wiki.freecode.com.cn/doku.php?id=wiki:vpcs
Original commitRevision:401895 
Tuesday, 6 Oct 2015
08:14 jbeich search for other commits by this committer
emulators/ppsspp-devel: update to 1.1.0 by removing the port

v1.1.0 was recently released and there're not enough changes after it to
warrant a separate package. Move users back to stable until more time
passes or some "interesting" conflicts appear.

Changes:	https://github.com/hrydgard/ppsspp/compare/d8b43dd...v1.1.0
Original commitRevision:398686 
Sunday, 26 Jul 2015
19:19 pi search for other commits by this committer
GNS3 Converter is designed to convert old ini-style GNS3 topologies
(<=0.8.7) to the newer version v1+ JSON format for use in GNS3 v1+

The converter will convert all IOS, Cloud and VirtualBox devices
to the new format. It will also convert all QEMU based devices (QEMU
VM, ASA, PIX, JUNOS & IDS). VPCS nodes will be converted to cloud
devices due to lack of information the 0.8.7 topology files.

For topologies containing snapshots, the snapshots will also be
converted to the new format automatically.

WWW: https://github.com/GNS3/gns3-converter
Original commitRevision:392943 
Monday, 15 Jun 2015
03:27 acm search for other commits by this committer
- Update to 2.5
- Take maintainership
Original commitRevision:389666 
Saturday, 13 Jun 2015
09:38 olgeni search for other commits by this committer
Sort entries.
Original commitRevision:389340 
Friday, 29 May 2015
19:33 jbeich search for other commits by this committer
emulators/ppsspp-devel: add new slave port for git master

A temporary port to facilitate testing and upstreaming.
Original commitRevision:387882 
Sunday, 24 May 2015
02:10 gerald search for other commits by this committer
Rename emulators/wine-compholio to emulators/wine-staging and
accordingly emulators/i386-wine-compholio to emulators/i386-wine-staging.

Adjust CONFLICTS across all Wine related ports.

Reviewed by:	dbn, kmoore
Original commitRevision:387240 
00:20 jbeich search for other commits by this committer
emulators/ppsspp: add new port

PPSSPP is a PSP emulator written in C++. It translates PSP CPU
instructions directly into optimized x86, x64 and ARM machine code,
using JIT recompilers (dynarecs).

PPSSPP can thus run on quite low-spec hardware, including stronger
ARM-based phones and tablets, as long as there's OpenGL ES 2.0
support.

http://www.ppsspp.org/development.html

Requested by:	RyanBram @ PCBSD forums
Motivated by:	review D2608 (thus .ifdefs)
Original commitRevision:387239 
Thursday, 23 Apr 2015
17:03 vg search for other commits by this committer
The gem5 simulator is a modular platform for computer system
architecture research, encompassing system-level architecture
as well as processor microarchitecture.

WWW: http://www.gem5.org/
Original commitRevision:384601 
Monday, 6 Apr 2015
14:37 bapt search for other commits by this committer
Add a metaport for xen

Discussed with:	roger@
Original commitRevision:383439 
14:31 bapt search for other commits by this committer
Rename xen into xen-kernel

Requested by:	roger@
Original commitRevision:383431 
14:29 bapt search for other commits by this committer
Rename emulators/xl into sysutils/xen-tools

Requested by:	roger@
Original commitRevision:383430 
Wednesday, 1 Apr 2015
22:19 bapt search for other commits by this committer
Introduce FreeBSD xen dom0 components.

Add xen kernel and xen toolstack ports to the ports tree
This packages are for now only supported on FreeBSD 11 after 1100055
The xen package only include the kernel and an addition to the loader menu to
allow to disable booting on the xen kernel

The Xen toolstack (xl) includes seabios (hence the addition of LGPLv3 license)

Explicitly use nm from ports binutils to workaround a bug in FreeBSD's nm on
some version of FreeBSD.

Workaround configure checks that are actually not needed during the build of the
tool stack.

Thanks AllanJude@ for the xen.4th
Thanks roger@ for all the work making FreeBSD dom0 support working.

Please notice that you will need an Intel box with EPT and a working IOMMU
Original commitRevision:382965 
Saturday, 28 Mar 2015
10:14 antoine search for other commits by this committer
Remove expired ports:
emulators/linux_dist-gentoo-stage3
emulators/linux_base-gentoo-stage3
If someone wants to resurect them, it will have to go through security team
review first
Original commitRevision:382455 
Tuesday, 30 Dec 2014
23:50 nox search for other commits by this committer
Add new port emulators/qemu-sbruno, to be used for qemu-user-static
once it builds again on 8 and 9:

QEMU is a FAST! processor emulator using dynamic translation to achieve
good emulation speed.
QEMU has two operating modes:

    * Full system emulation. In this mode, QEMU emulates a full system
(for example a PC), including a processor and various peripherials.
It can be used to launch different Operating Systems without rebooting
the PC or to debug system code.
    * User mode emulation. In this mode, QEMU can launch
Linux processes compiled for one CPU on another CPU. It can be used to
launch the Wine Windows API emulator or to ease cross-compilation and
cross-debugging.

As QEMU requires no host kernel patches to run, it is very safe and easy to use.

http://wiki.qemu.org/Main_Page

This is building sbruno's bsd-user github branch:

WWW: https://github.com/seanbruno/qemu-bsd-user/commits/bsd-user
Original commitRevision:375864 
Sunday, 7 Dec 2014
16:21 danfe search for other commits by this committer
Sort entries alphabetically across all categories to avoid extra repo churn.
Original commitRevision:374216 
Thursday, 4 Dec 2014
15:22 sunpoet search for other commits by this committer
- Add rubygem-fission 0.5.0

Fission is a simple command line tool for managing VMware Fusion VMs. Only
Fusion 3.x is currently supported.

WWW: https://github.com/thbishop/fission
RG:  https://rubygems.org/gems/fission
Original commitRevision:373948 
Wednesday, 19 Nov 2014
14:40 bapt search for other commits by this committer
Remove: abandonware, depends on non existing USE_GNOME components
Original commitRevision:372780 
Tuesday, 4 Nov 2014
16:32 marino search for other commits by this committer
Add new port emulators/fs-uae-launcher

PR:		193801
Submitted by:	uffe

The FS-UAE Launcher is an easy to use GUI frontend for FS-UAE, the
free and open source Amiga Emulator based on WinUAE.
Original commitRevision:372150 
Monday, 6 Oct 2014
22:58 marino search for other commits by this committer
Add new port emulators/hyperv-is (FreeBSD 8.4, 9.1, 9.2, 9.3, 10.0)

PR:		182209
Submitted by:	kylie (bsdic @ microsoft)

The hyperv-is provision a collection of kernel mode drivers as well as
user-space daemons to facilitate integration with Hyper-v to provide a
feature rich and high performance FreeBSD guest experience.

The FreeBSD Integration Service on Hyper-v includes a collection of kernel
mode drivers as well as user-space daemons to interact with the drivers
that are required to run Hyper-V-specific devices known as FreeBSD
Integration Services (BIS). It is to facilitate integration with Hyper-v
to provide a feature rich and high performance FreeBSD guest experience.
See the man page for a list of binaries and their functions.

FreeBSD support for hyperv-is was first added by Microsoft BSD Integration
Services Team <bsdic@microsoft.com>.
Original commitRevision:370242 
Monday, 22 Sep 2014
10:40 xmj search for other commits by this committer
Update CentOS base to 6.5, add userland ports

The Fedora 10 infrastructure ports have been in use since June 2009 and, while
having served a great deed, have become unsupported upstream and hence affected
by unfixed security vulnerabilities. In addition to that, many recent Linux
binaries need newer libc / stdlibc++ versions.

This commit adds the linux-c6- userland as drop-in replacement for the -f10
infrastructure, as well as upgrading the linux_base-c6 port to CentOS 6.5.

If you want to switch to linux-c6 ports, please define at /etc/make.conf:

    OVERRIDE_LINUX_BASE_PORT=c6
    OVERRIDE_LINUX_NONBASE_PORTS=c6

Additionally, please add the following line to /etc/sysctl.conf:

    compat.linux.osrelease=2.6.18

Upgrading procedures are shown in /usr/ports/UPDATING.

This work has been inspired by Artyom Mirgorodskiy's post to emulation@ in
November 2013, using and extending mav@'s work. It has been tested extensively
and most reported issues were already fixed. Please report any additional bug
or "features" to the emulation mailing list.

Many thanks to: mav@, rene@, allanjude@, netchild@, antoine@, everyone who's
filed Issues and Pull requests on GitHub,

PR:		186820
Differential Revision:	https://reviews.freebsd.org/D793
Reviewed by:	allanjude, antoine, bapt, rene
Approved by:	portmgr (antoine, bapt)
Approved by:	koobs (mentor)
Sponsored by:	Perceivon Hosting Inc.
Original commitRevision:368845 
Tuesday, 9 Sep 2014
19:18 marino search for other commits by this committer
Remove virtualbox-*-legacy due to lack of staging

The virtualbox-ose-kmod-legacy port is staged, but it has no purpose
without the unstaged virtualbox-ose-legacy port, so both ports have
been removed at the same time.
Original commitRevision:367769 
Monday, 1 Sep 2014
15:44 bapt search for other commits by this committer
Remove non staged ports without pending PR from d*
Original commitRevision:366887 
Monday, 18 Aug 2014
19:11 dbn search for other commits by this committer
Introduce emulators/i386-wine-compholio.

This is the companion port to wine-compholio: proving a means to compile,
and binaries, for FreeBSD/amd64.
Original commitRevision:365342 
Wednesday, 23 Jul 2014
13:19 kmoore search for other commits by this committer
Add slave-port for emulators/wine-compholio, which will allow pkg users
to install proper wine version for use with pipelight
Original commitRevision:362686 
Friday, 11 Jul 2014
14:16 kmoore search for other commits by this committer
- Add pipelight, which works with wine to provide windows plugins to browsers
Original commitRevision:361537 
Monday, 19 May 2014
17:12 nox search for other commits by this committer
Add new slave port emulators/qemu-user-static:

QEMU is a FAST! processor emulator using dynamic translation to achieve
good emulation speed.
QEMU has two operating modes:

    * Full system emulation. In this mode, QEMU emulates a full system
(for example a PC), including a processor and various peripherials.
It can be used to launch different Operating Systems without rebooting
the PC or to debug system code.
    * User mode emulation (Linux host only). In this mode, QEMU can launch
Linux processes compiled for one CPU on another CPU. It can be used to
launch the Wine Windows API emulator or to ease cross-compilation and
cross-debugging.

As QEMU requires no host kernel patches to run, it is very safe and easy to use.

This is a slave port of emulators/qemu-devel to build only static
bsd-user targets named like qemu-mips-static.  While still being
experimental people have already built quite a few armv6/mips/mips64
packages using these and e.g. poudriere.  Some notes are also here:

	http://wiki.freebsd.org/QemuUserModeHowTo

WWW: http://wiki.qemu.org/Main_Page

Suggested by:	bapt
Original commitRevision:354560 
Thursday, 24 Apr 2014
21:49 rene search for other commits by this committer
Remove emulators/mupen64-rice, part of removed mupen64
Original commitRevision:352072 
21:44 rene search for other commits by this committer
Remove expired ports:
2014-04-23 emulators/mupen64-sdlinput: Use mupen64plus instead
2014-04-23 emulators/mupen64-sdlaudio: Use mupen64plus instead
2014-04-23 emulators/mupen64-tr64: Use mupen64plus instead
2014-04-23 emulators/mupen64-gln64: Use mupen64plus instead
2014-04-23 emulators/mupen64-sound: Use mupen64plus instead
2014-04-23 emulators/mupen64-rsp: Use mupen64plus instead
2014-04-23 emulators/mupen64-input: Use mupen64plus instead
2014-04-23 emulators/mupen64-glide: Use mupen64plus instead
2014-04-23 emulators/mupen64: Use mupen64plus instead
2014-04-23 emulators/mupen64-softgfx: Use mupen64plus instead
2014-04-23 emulators/mupen64-dummyaudio: Use mupen64plus instead
2014-04-23 emulators/mupen64-base: Use mupen64plus instead
2014-04-24 x11/emu: Broken, not staged
2014-04-24 lang/ruby-doc-stdlib: Upstream rerolls frequently, online docs work
well
Original commitRevision:352070 

Number of commits found: 488 (showing only 100 on this page)

«  1 | 2 | 3 | 4 | 5  »